%define api		2_2
%define major		22
%define libname		%mklibname ilmimf %{api} %{major}
%define develname	%mklibname %{name} -d

Name:		openexr
Summary:	A high dynamic-range (HDR) image file format
Version:	2.2.0
Release:	%mkrel 3
Group:		Graphics
License:	BSD
URL:		http://www.openexr.com
Source0:	http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.xz
Patch0:		openexr-git-pr233-security.patch

BuildRequires:	ilmbase-devel >= %{version}
BuildRequires:	zlib-devel
BuildRequires:	git-core

Obsoletes:	OpenEXR
Provides:	OpenEXR = %{version}-%{release}

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}OpenEXR22
Provides:   %{_lib}OpenEXR22 = %{version}-%{release}

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	OpenEXR-devel = %{version}-%{release}
Obsoletes:	%{_lib}OpenEXR-devel
Provides:   %{_lib}OpenEXR-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%make_install

find %{buildroot} -name "*.la" -delete

# Remove doc files installed by make install, we package them in %files
rm -rf %{buildroot}%{_docdir}

%files
%doc AUTHORS ChangeLog NEWS README doc/*
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib*%{api}.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Apr 04 2018 adrianomorselli <adrianomorselli> 2.2.0-3uplos2018
- rename package
- update for new gcc
